Skip to main content
GET
/
sdk
/
{environmentId}
/
chains
/
{chainName}
/
balances
Get token balances for an account
curl --request GET \
  --url https://app.dynamicauth.com/api/v0/sdk/{environmentId}/chains/{chainName}/balances \
  --header 'Authorization: Bearer <token>'
[
  {
    "address": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
    "name": "<string>",
    "symbol": "<string>",
    "decimals": 123,
    "logoURI": "<string>",
    "balance": 123,
    "rawBalance": 123,
    "networkId": 123,
    "price": 123,
    "marketValue": 123,
    "liquidityPoolSizeUsd": 123,
    "totalSupply": "<string>",
    "isNative": true
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.dynamic.xyz/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

chainName
enum<string>
required
Available options:
ETH,
EVM,
FLOW,
SOL,
ALGO,
STARK,
COSMOS,
BTC,
ECLIPSE,
SUI,
SPARK,
TRON,
APTOS,
TON,
STELLAR,
ALEO,
TEMPO,
MIDNIGHT

Query Parameters

networkId
number
accountAddress
string
required

Valid Eth, Solana, Btc, Sui, Flow, Cosmos, TRON, TON, and Stellar wallet addresses

Pattern: ^(0x[a-fA-F0-9]{40}|[1-9A-HJ-NP-Za-km-z]{32,44}|(bc1|[13])[a-zA-HJ-NP-Z0-9]{25,70}|0x[a-fA-F0-9]{64}|0x[a-fA-F0-9]{16}|[a-z0-9]{3,16}1[02-9ac-hj-np-z]{38,60}|T[A-Za-z1-9]{33}|[0-9A-Za-z_-]{48}|G[A-Z2-7]{55})$
includePrices
boolean
includeNative
boolean
filterSpamTokens
boolean

If false, the balance requests will not be filtered for spam tokens

whitelistedContracts
string[]

Contracts to not filter out in the response

forceRefresh
boolean

If true, the balance requests will be refreshed within rate limits

Response

List of token balances

address
string
required

Valid blockchain wallet address, must be an alphanumeric string (underscores allowed for chains like Midnight)

Maximum string length: 255
Pattern: ^[A-Za-z0-9_]{18,100}$
Example:

"0xbF394748301603f18d953C90F0b087CBEC0E1834"

name
string
required

Display name of the token

symbol
string
required

Ticker symbol of the token

decimals
integer
required

Number of decimal places the token supports

logoURI
string
required

URL of the token logo image

balance
number
required

Human-readable token balance adjusted for decimals

rawBalance
number
required

Raw token balance in the smallest unit

networkId
integer

Network identifier where the token balance resides

price
number

Current price per token in USD

marketValue
number

Total market value of the balance in USD

liquidityPoolSizeUsd
number

Size of the token's liquidity pool in USD

totalSupply
string

Total circulating supply of the token

isNative
boolean

Whether this is the chain's native token